Skip to content

Sandbox - Get Case Attachment

Request

Get a case attachment by ID.

Security
ArxusSSO(Required scopes: ROLE_ITSM_SANDBOX_WRITE)
Path
caseIdstringrequired

The unique identifier of the case.

attachmentIdstringrequired

The unique identifier of the attachment.

curl -i -X GET \
  'https://developer.arxus.eu/_mock/apis/care/openapi/sandbox/cases/{caseId}/attachments/{attachmentId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The requested case attachment.

Bodyapplication/json
metaobject(Response metadata)

Response metadata schema.

dataobject(Attachment)

A case attachment.

Response
{ "meta": {}, "data": { "id": "2719a1682b958790ed5cf651d891bfae", "filename": "screenshot.png", "contentType": "image/png", "sizeBytes": 1048576, "hash": "d41d8cd98f00b204e9800998ecf8427e", "created": "2025-01-15T10:30:00Z", "updated": "2025-01-16T08:00:00Z" } }